.container {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

form {
    max-width: 400px;
    width: 100%;
}

.login-form {
    display: grid;
    align-self: center;
    max-width: 400px;
    padding: 30px;
    background-color: #f2f2f2;
    border-radius: 4px;
    margin-bottom: 20px;
}

.login-form h2 {
    text-align: center;
    padding-bottom: 10px;
    margin-top: 10px;
    margin-bottom: 20px;
}

.form-group {
    margin-bottom: 25px;
}

label {
    display: block;
    font-weight: bold;
    margin-bottom: 5px;
}

input[type="text"],
input[type="password"] {
    width: 100%;
    padding: 12px;
    border-radius: 4px;
    border: 1px solid #ccc;
    height: 40px;
}

button {
    width: 100%;
    padding: 12px;
    background-color: rgb(100, 85, 170);
    color: #fff;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    height: 45px;
}

button:hover {
    background-color: rgb(113, 99, 186);
}
